package wanijo.wanijo2.domain

import org.springframework.data.annotation.Id
import org.springframework.data.relational.core.mapping.Table
import java.time.ZonedDateTime

@Table("T_DOCUMENT")
data class Document(
    @Id
    val id: Long = 0,
    val name: String,
    val description: String = "",
    val updatedAt: ZonedDateTime = ZonedDateTime.now(),
    val createdAt: ZonedDateTime = ZonedDateTime.now(),
    val labelFields: Set<LabelField> = emptySet(),
    val dateFields: Set<DateField> = emptySet(),
    val tags: Set<Tag> = emptySet()
)
